﻿class NaviLabel {
	var mc:MovieClip;
	var labels:Array;
	var loop:Boolean;
	var currentPos:Number = 0;
	//コンストラクタ
	function NaviLabel(targetMC:MovieClip, lbs:Array, loopMode:Boolean) {
		mc = targetMC;
		labels = lbs;
		loop = loopMode;
	}
	//先頭のラベルへ
	function topLabel():Void {
		var labelName:String = labels[0];
		mc.gotoAndPlay(labelName);
	}
	//最後のラベルへ
	function lastLabel():Void {
		var lastPos:Number = labels.length-1;
		var labelName:String = labels[lastPos];
		mc.gotoAndPlay(labelName);
	}
	//次のラベルへ
	function nextLabel():Void {
		var nextPos:Number = currentPos+1;
		if (nextPos<labels.length) {
			currentPos = nextPos;
		} else if (nextPos == labels.length) {
			if (loop) {
				currentPos = nextPos=0;
			}
		}
		var labelName:String = labels[nextPos];
		mc.gotoAndPlay(labelName);
	}
	//手前のラベルへ
	function prevLabel():Void {
		var prevPos:Number = currentPos-1;
		if (prevPos>=0) {
			currentPos = prevPos;
		} else if (prevPos<0) {
			if (loop) {
				currentPos = prevPos=(labels.length-1);
			}
		}
		var labelName:String = labels[prevPos];
		mc.gotoAndPlay(labelName);
	}
}
